Skip to content

List favorite images

GET
/favorite

Authorizations

LongHubAuth

Use Session <JWT> for a session token or Key <app-key> for an application key.

Type
API Key (header: Authorization)

Parameters

Query Parameters

offset

Number of rows to skip.

Type
integer
Format
"int32"
Minimum
0
Default
0
limit

Maximum number of rows. The backend caps this value at 24.

Type
integer
Format
"int32"
Minimum
1
Maximum
24
Default
24

Responses

Favorite image page

application/json
JSON
{
  
"error": "string",
  
"data": {
  
  
"total": 0,
  
  
"images": [
  
  
  
{
  
  
  
  
"shortcut": "string",
  
  
  
  
"favoritedAt": "string",
  
  
  
  
"userId": 0,
  
  
  
  
"id": 0,
  
  
  
  
"imageKey": "string",
  
  
  
  
"imageUrl": "string",
  
  
  
  
"text": "string",
  
  
  
  
"rating": "string",
  
  
  
  
"version": 0
  
  
  
}
  
  
]
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI